### Method

# WebKit2WebExtension DOMCharacterData append_data

#### Declaration [src]

    void
    webkit_dom_character_data_append_data (
      WebKitDOMCharacterData* self,
      const gchar* data,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`data` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.